# alibi\_detect.exceptions

This module defines the Alibi Detect exception hierarchy and common exceptions used across the library.

## `AlibiDetectException`

*Inherits from:* `Exception`, `BaseException`, `ABC`

### Constructor

```python
AlibiDetectException(self, message: str) -> None
```

| Name      | Type  | Default | Description        |
| --------- | ----- | ------- | ------------------ |
| `message` | `str` |         | The error message. |

## `NotFittedError`

*Inherits from:* `AlibiDetectException`, `Exception`, `BaseException`, `ABC`

### Constructor

```python
NotFittedError(self, object_name: str) -> None
```

| Name          | Type  | Default | Description                   |
| ------------- | ----- | ------- | ----------------------------- |
| `object_name` | `str` |         | The name of the unfit object. |

## `ThresholdNotInferredError`

*Inherits from:* `AlibiDetectException`, `Exception`, `BaseException`, `ABC`

### Constructor

```python
ThresholdNotInferredError(self, object_name: str) -> None
```

| Name          | Type  | Default | Description                                                |
| ------------- | ----- | ------- | ---------------------------------------------------------- |
| `object_name` | `str` |         | The name of the object that does not have a threshold fit. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.seldon.ai/alibi-detect/api-reference/exceptions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
